program SmartCostServer;

uses
  Forms,
  Windows,
  MainUnit in 'MainUnit.pas' {frmMian},
  ServerServices in 'ServerServices.pas',
  CorrespondService in 'CorrespondService.pas',
  ClientInfoService in 'ClientInfoService.pas' {ClientInfoDM: TDataModule},
  SoftDogService in 'SoftDogService.pas',
  EncryptService in 'EncryptService.pas',
  AnimateWinService in 'AnimateWinService.pas',
  TypeUnit in 'TypeUnit.pas',
  TypeConfig in 'TypeConfig.pas';

{$R *.res}

const
  AtomValue = 'SMARTCOSTSERVER';

begin
  if GlobalFindAtom(AtomValue) = 0 then
  begin
    GlobalAddAtom(AtomValue);
    try
      Application.Initialize;
      Application.Title := 'SmartCost服务程序';
      Application.CreateForm(TfrmMian, frmMian);
  Application.Run;
    finally
      GlobalDeleteAtom(GlobalFindAtom(AtomValue));
    end;
  end
  else
    MessageBox(0, PChar('不能同时打开两个SmartCost服务器！'), PChar('打开失败'), MB_OK or MB_ICONERROR); 
end.
